{%- from 'components/process_header.html.jinja' import process_header -%}
{%- from 'components/processes_helper.html.jinja' import prozess_handlungsgrundlagen, prozess_metadata -%}
{%- from 'components/help.html.jinja' import empty_entry, optional_text, glossary_link -%}
{%- from 'components/metadata.html.jinja' import simple_attribute, metadata_card, baustein_referenz, baustein_referenzen -%}
{%- from 'components/logo.html.jinja' import redaktion_logo -%}
{%- extends "root.html.jinja" -%}

{% block page %}
  {{ process_header(prozess.header, baseurl) }}

  {# content section #}
  <div class="container py-3 mb-5">
    <div class="row">
      <section class="col-lg-8 mb-5" aria-label="Inhalt">
        <h2 id="steckbrief" class="fs-3 mb-4">Prozesssteckbrief</h2>

        <h3 class="fs-5 fw-semibold">Bezeichnung</h3>
        <hr class="mt-1 mb-3" />
        {{ optional_text(prozess.bezeichnung) }}

        <h3 class="fs-5 fw-semibold mt-5">
          Detaillierungsstufe{{ glossary_link("https://docs.fitko.de/fim/docs/glossar/#detaillierungsstufe-detaillierungsstufe", "Detaillierungsstufe") }}
        </h3>
        <hr class="mt-1 mb-3" />
        {{ optional_text(prozess.detaillierungsstufe) }}

        <h3 class="fs-5 fw-semibold mt-5">Prozessteilnehmende</h3>
        <hr class="mt-1 mb-3" />
        <span class="fw-semibold">Initiierende</span>
        <ul>
          {% for item in prozess.prozessteilnehmende.initiierende %}
            <li>
              <span>{{ item }}</span>
            </li>
          {% else %}
            <div class="list-group-item">{{ empty_entry() }}</div>
          {% endfor %}
        </ul>
        <span class="fw-semibold">Hauptakteure</span>
        <ul>
          {% for item in prozess.prozessteilnehmende.hauptakteure %}
            <li>
              <span>{{ item }}</span>
            </li>
          {% else %}
            <div class="list-group-item">{{ empty_entry() }}</div>
          {% endfor %}
        </ul>
        <span class="fw-semibold">Mitwirkende</span>
        <ul>
          {% for item in prozess.prozessteilnehmende.mitwirkende %}
            <li>
              <span>{{ item }}</span>
            </li>
          {% else %}
            <div class="list-group-item">{{ empty_entry() }}</div>
          {% endfor %}
        </ul>
        <span class="fw-semibold">Ergebnis Empfänger</span>
        <ul>
          {% for item in prozess.prozessteilnehmende.ergebnis_empfaenger %}
            <li>
              <span>{{ item }}</span>
            </li>
          {% else %}
            <div class="list-group-item">{{ empty_entry() }}</div>
          {% endfor %}
        </ul>

        <h3 class="fs-5 fw-semibold mt-5">
          Anwendungsgebiet{{ glossary_link("https://docs.fitko.de/fim/docs/glossar/#anwendungsgebiet", "Anwendungsgebiet") }}
        </h3>
        <hr class="mt-1 mb-3" />
        {% for item in prozess.anwendungsgebiet %}
          <div class="mb-3">
            {{ redaktion_logo(item.icon) }}
            {{ item.value }}
          </div>
        {% else %}
          <div class="list-group-item">{{ empty_entry() }}</div>
        {% endfor %}

        <h3 class="fs-5 fw-semibold mt-5">
          Handlungsgrundlage{{ glossary_link("https://docs.fitko.de/fim/docs/glossar/#handlungsgrundlage", "Handlungsgrundlage") }}
        </h3>
        <hr class="mt-1 mb-3" />
        {{ prozess_handlungsgrundlagen(prozess.handlungsgrundlagen) }}
        <div class="mb-4 mt-3">
          {% call simple_attribute("Gültig ab", None) %}
            {% if prozess.gueltig_ab %}
              {{ prozess.gueltig_ab }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}

          {% call simple_attribute("Gültig bis", None) %}
            {% if prozess.gueltig_bis %}
              {{ prozess.gueltig_bis }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}
        </div>
      </section>

      <aside
        class="col-lg-4 order-lg-last"
        aria-label="Zusätzliche Informationen"
      >
        {% call metadata_card("Zugehörige Prozessklasse", none) %}
          {{ baustein_referenz(prozess.prozessklasse) }}
        {% endcall %}

        {% call metadata_card("Zugehörige Leistungen", none) %}
          {{ baustein_referenzen(prozess.leistungen) }}
        {% endcall %}

        {% call metadata_card("Zugehörige Dokumentsteckbriefe", none) %}
          <div class="card-header">Auslöser</div>
          {{ baustein_referenzen(prozess.dokumentensteckbriefe.ausloeser) }}
          <div class="card-header">Ergebnis</div>
          {{ baustein_referenzen(prozess.dokumentensteckbriefe.ergebnis) }}
          <div class="card-header">Weitere Dokumentsteckbriefe</div>
          <div class="list-group list-group-flush">
            <a
              href="{{ prozess.visualization_tab.path }}"
              class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
            >
              <div>Prozessmodell anzeigen</div>
              <i class="text-muted bi bi-chevron-right" aria-hidden="true"></i>
            </a>
          </div>
        {% endcall %}

        {% call metadata_card("Downloads", none) %}
          <div class="list-group list-group-flush">
            {% for item in prozess.downloads %}
              <a
                href="{{ item.href }}"
                class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center"
              >
                <i class="text-primary bi bi-download" aria-hidden="true"></i>
                <div>{{ item.label }}</div>
              </a>
            {% else %}
              <div class="list-group-item">{{ empty_entry() }}</div>
            {% endfor %}
          </div>
        {% endcall %}

        <div class="border-start px-3">
          {{ prozess_metadata(prozess.metadata) }}
        </div>
      </aside>
    </div>
  </div>
{% endblock %}
